> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users

> Get a list of all users (both personal and business) for the authenticated merchant



## OpenAPI

````yaml get /api/v1/account/users
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/users:
    get:
      tags:
        - users
      summary: List all users
      description: >-
        Get a list of all users (both personal and business) for the
        authenticated merchant
      parameters:
        - description: 'Page number (default: 1)'
          in: query
          name: page
          schema:
            type: integer
        - description: 'Page size (default: 30, max: 100)'
          in: query
          name: pageSize
          schema:
            type: integer
        - description: >-
            Sort fields (prefix with - for desc): name,email,createdAt,country.
            Example: sort=country,-createdAt
          in: query
          name: sort
          schema:
            type: string
        - description: >-
            Multiple filters can be applied with field_operator=value format.
            Fields: name,email,country,createdAt. Operators: eq (equals), neq
            (not equals), gt/lt (greater/less than), like/ilike (case
            sensitive/insensitive contains). Examples:
            name_like=john&email_eq=example.com&createdAt_gt=2023-01-01
          in: query
          name: filter
          schema:
            type: string
        - description: Search users by id, name, email and country
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.ListUsersResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.ListUsersResponse:
      properties:
        pagination:
          $ref: '#/components/schemas/httpdto.PaginationResponse'
        users:
          items:
            $ref: '#/components/schemas/dto.AccountUserResponse'
          type: array
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    httpdto.PaginationResponse:
      properties:
        next:
          description: URL of the next page (null if no next page)
          type: string
        numPages:
          description: Total number of pages
          type: integer
        page:
          description: Current page number
          type: integer
        pageSize:
          description: Number of items per page
          type: integer
        previous:
          description: URL of the previous page (null if no previous page)
          type: string
        total:
          description: Total number of elements
          type: integer
      type: object
    dto.AccountUserResponse:
      properties:
        country:
          type: string
        createdAt:
          type: string
        displayType:
          type: string
        email:
          type: string
        id:
          type: string
        name:
          type: string
        type:
          $ref: '#/components/schemas/domain.UserType'
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    domain.UserType:
      enum:
        - 1
        - 2
        - 3
        - 4
      type: integer
      x-enum-varnames:
        - PersonalUser
        - BusinessUser
        - MerchantUser
        - SystemUser
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````